DtDtsSetDataType(library call)

NAME
DtDtsSetDataType — set the data type of a directory

SYNOPSIS

#include &<Dt/Dts.h>
char *DtDtsSetDataType(
const char *dirpath,
const char *datatype,
const int override);

DESCRIPTION

The DtDtsSetDataType function sets the data type of a directory. This may be accomplished by adding a file named with a leading dot to the directory.

The dirpath argument is a pathname of the directory.

The datatype argument is a data type.

If the value is already set, DtDtsSetDataType does not change the value unless the override argument is set to True.

RETURN VALUE

Upon successful completion, the DtDtsSetDataType function returns a pointer to a data type string, or NULL if it was unable to set or retrieve the data type.

APPLICATION USAGE

Directories can have data types associated with them, just as regular files can. For example, a file manager may choose to alter the appearance of the directory's icon based on this data type or a system may use a directory of files as an means of supporting a complex form of data, such as a compund document.

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3).